//
//  SCRecognizer.h
//  SCRecognizer
//
//  Created by Jeff Lee on 2021. 11. 6..
//  Copyright © 2017 Infosonic. All rights reserved.
//

#ifndef SCRecognizer_H
#define SCRecognizer_H

#import <Foundation/Foundation.h>

#import "SCDelegator.h"

@interface SCRecognizer : NSObject

+ (nonnull instancetype) sharedInstance;

- (void) start;

- (void) setTimeout:(unsigned int)time;
- (void) setTTL:(unsigned int)ttl;
- (void) setAutoStop:(bool)enabled;
- (void) setUniqueID:(nonnull NSString*)uid andDelegator:(nonnull id<SCDelegator>)delegator;

- (void) reset;
- (void) stop;

- (nonnull NSString *) getVersion;

- (nonnull NSString*) getSonicCodeParameter:(nonnull NSString*)content;

@end

#endif /* SCRecognizer_H */
